PODApplication

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.pod
Interface PODApplication

    public interface PODApplication

This class represents an Application that resides in the OpenCable CableCARD device. The CableCARD device has zero or more CableCARD Applications. PODApplication instances corresponding to those CableCARD Applications are retrieved by the `POD.getApplications()` method. This class provides information of the CableCARD Application described in the Application_info_req() APDU defined in [CCIF 2.0].

Field Summary
`static int` | `TYPE_CA` The Conditional Access application type.
`static int` | `TYPE_CP` The "Copy Protection" application type.
`static int` | `TYPE_DIAGNOSTIC` The "Diagnostic" application type.
`static int` | `TYPE_DVS167` The "Network Interface - DVS/167" application type.
`static int` | `TYPE_DVS178` The "Network Interface - DVS/178" application type.
`static int` | `TYPE_IP` The "IP Service" application type.
`static int` | `TYPE_UNDESIGNATED` The "Undesignated" application type.

Method Summary
`String` | `getName()` This method returns an application name of the CableCARD Application represented by this class.
`int` | `getType()` This method returns an application type value of the CableCARD Application represented by this class.
`String` | `getURL()` This method returns a URL of the CableCARD Application represented by this class.
`int` | `getVersionNumber()` This method returns an application version number of the CableCARD Application represented by this class.

Field Detail

### TYPE_CA

    static final int TYPE_CA

  The Conditional Access application type. This value is defined for the application_type field in the Application_info_cnf() APDU. See OpenCable CableCARD Interface specification.

  See Also:
    Constant Field Values

### TYPE_CP

    static final int TYPE_CP

  The "Copy Protection" application type. This value is defined for the application_type field in the Application_info_cnf() APDU. See OpenCable CableCARD Interface specification.

  See Also:
    Constant Field Values

### TYPE_IP

    static final int TYPE_IP

  The "IP Service" application type. This value is defined for the application_type field in the Application_info_cnf() APDU. See OpenCable CableCARD Interface specification.

  See Also:
    Constant Field Values

### TYPE_DVS167

    static final int TYPE_DVS167

  The "Network Interface - DVS/167" application type. This value is defined for the application_type field in the Application_info_cnf() APDU. See [CCIF 2.0].

  See Also:
    Constant Field Values

### TYPE_DVS178

    static final int TYPE_DVS178

  The "Network Interface - DVS/178" application type. This value is defined for the application_type field in the Application_info_cnf() APDU. See [CCIF 2.0].

  See Also:
    Constant Field Values

### TYPE_DIAGNOSTIC

    static final int TYPE_DIAGNOSTIC

  The "Diagnostic" application type. This value is defined for the application_type field in the Application_info_cnf() APDU. See [CCIF 2.0].

  See Also:
    Constant Field Values

### TYPE_UNDESIGNATED

    static final int TYPE_UNDESIGNATED

  The "Undesignated" application type. This value is defined for the application_type field in the Application_info_cnf() APDU. See [CCIF 2.0].

  See Also:
    Constant Field Values

Method Detail

### getType

    int getType()

  This method returns an application type value of the CableCARD Application represented by this class. The application type is described in the application_type field in the Application_info_cnf() APDU.

  Returns:
    an application type value of the CableCARD application represented by this class. Known values are defined as the field values prefixed with "TYPE_".

### getVersionNumber

    int getVersionNumber()

  This method returns an application version number of the CableCARD Application represented by this class. The application version number is described in the application_version_number field in the Application_info_cnf() APDU.

  Returns:
    an application version number value of the CableCARD Application represented by this class.

### getName

    String getName()

  This method returns an application name of the CableCARD Application represented by this class. The application version number is described in the application_name_byte field in the Application_info_cnf() APDU.

  Returns:
    an application name of the CableCARD Application represented by this class.

### getURL

    String getURL()

  This method returns a URL of the CableCARD Application represented by this class. The URL is described in the application_url_byte field in the Application_info_cnf() APDU.

  Returns:
    a URL of the CableCARD Application represented by this class.
  Throws:
    `SecurityException` - if the caller does not have MonitorAppPermission("podApplication").

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD